function 0x --description "upload/shorten to 0x0 services"
    switch $argv[1]
        case "file" "f"
            curl -F "file=@$argv[2]" https://envs.sh
        case "i"
            curl -F "file=@-" https://envs.sh
        case "link" "fl"
            curl -F "url=$argv[2]" https://envs.sh
        case "shorten" "l"
            curl -F "shorten=$argv[2]" https://envs.sh
        case "*"
            printf "Usage: 0x [file|link|shorten] <file/url>\n       0x i to read from standard input."
    end
end
